OpenVDB 3.2.0

Public Types | Public Member Functions | List of all members
TransferSeamLineFlags< BoolTreeType, SignDataType > Struct Template Reference

`#include <VolumeToMesh.h>`

## Public Types
typedef BoolTreeType::LeafNodeType | BoolLeafNodeType
typedef BoolTreeType::template ValueConverter< SignDataType >::Type | SignDataTreeType
typedef SignDataTreeType::LeafNodeType | SignDataLeafNodeType

## Public Member Functions
| TransferSeamLineFlags (const std::vector< SignDataLeafNodeType *> &signFlagsLeafNodes, const BoolTreeType &maskTree)
void | operator() (const tbb::blocked_range< size_t > &range) const

## Member Typedef Documentation

## ◆ BoolLeafNodeType

typedef BoolTreeType::LeafNodeType BoolLeafNodeType

## ◆ SignDataLeafNodeType

typedef SignDataTreeType::LeafNodeType SignDataLeafNodeType

## ◆ SignDataTreeType

typedef BoolTreeType::template ValueConverter<SignDataType>::Type SignDataTreeType

## Constructor & Destructor Documentation

## ◆ TransferSeamLineFlags()

TransferSeamLineFlags | ( | const std::vector< SignDataLeafNodeType *> & | signFlagsLeafNodes,
|  | const BoolTreeType & | maskTree
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const
| inline

The documentation for this struct was generated from the following file:

- VolumeToMesh.h